---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: postfix-relay
spec:
  selector:
    matchLabels:
      container: postfix-relay
  template:
    metadata:
      labels:
        container: postfix-relay
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: tipi
    spec:
      containers:
      - env:
        - name: ACCEPTED_NETWORKS
          value: ''
        - name: SMTP_HOST
          value: ''
        - name: SMTP_LOGIN
          value: ''
        - name: SMTP_PASSWORD
          value: ''
        - name: SMTP_PORT
          value: '0'
        - name: TLS_VERIFY
          value: ''
        - name: USE_TLS
          value: ''
        image: simenduev/postfix-relay:1.4.0
        name: postfix-relay
        volumeMounts:
        - mountPath: /root/config
          name: longhorn-own-data
          subPath: data/config
      volumes:
      - name: longhorn-own-data
        persistentVolumeClaim:
          claimName: data
          readOnly: false

